/* 
 * i-scream central monitoring system
 * http://www.i-scream.org
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.conient.datacomponents;

//---IMPORTS---

/**
 * Indicates a problem with the format of Data.
 *
 * If an object that extends DataComponent has a problem
 * converting and displaying data, it throws this.
 *
 * @author  $Author: tdb $
 * @version $Id: DataFormatException.java,v 1.9 2004/08/01 10:40:10 tdb Exp $
 */
public class DataFormatException extends Exception {

//---FINAL ATTRIBUTES---

    /**
     * The current CVS revision of this class
     */
    public final String REVISION = "$Revision: 1.9 $";

//---STATIC METHODS---

//---CONSTRUCTORS---
    
    /**
     * Takes a string containing a message detailing
     * specifics about the exception.
     *
     * @param message the exception specifics
     */
    public DataFormatException(String message){
        super(message);
    }

//---PUBLIC METHODS---

//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

//---ATTRIBUTES---

//---STATIC ATTRIBUTES---

}